Subject: Re: [PATCH] Make 'remote show' distinguish between merged and rebased remote branches

From: Marc Branchaud <[email-masked]>
Date: Tue, 10 Feb 2009 17:05:12 -0500

Junio C Hamano wrote:
> 
> I sympathize with what you are trying to do but I do not think this is
> correct.  You will *never* rebase remote on top of your changes; rather
> you will replay your changes on top of what the updated remote has.
> 
> It is more like "if you start git pull while on branch rebaser, it will
> rebased on top of this branch from the remote".
> 

I'm happy to use more accurate phrasing -- I was just going for a minimal change.

How about the following, consistent for both cases:

'git pull' merges branch master with remote branch
  master
'git pull' rebases branch rebaser on top of remote branch
  side

?

I like the above because the keywords & branch names are in consistent locations, making it easier to parse the output.

		Marc